- [HTTP request](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains.users/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains.users/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains.users/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains.users/list#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains.users/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains.users/list#body.ListUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains.users/list#body.aspect)

Lists the users that have access to a domain.

### HTTP request

`GET https://gmailpostmastertools.googleapis.com/v2beta/{parent=domains/*}/users`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name for which to list users. Format: `domains/{domain}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer users than requested. If unspecified, the default value for this field is 10. The maximum value for this field is 200. |
| `pageToken` | `string` Optional. The nextPageToken value returned from a previous List request, if any. |

### Request body

The request body must be empty.

### Response body

Response message for users.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "users": [ { object (`https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains.users#User`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `users[]` | ``object (`https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains.users#User`)`` The users that have access to the domain. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/postmaster`
- `
  https://www.googleapis.com/auth/postmaster.user`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).